Subject: Re: FVWM: Better interaction between Netscape and Fvwm with SloppyFocus (fwd)

From: [email-masked] (Stephen Riehm)
Date: Fri, 4 Jul 1997 11:04:32 +0200 (MEZ)

Jim Searle wrote:

> >>>>> "Jim" == Jim Nicholson <[email-masked]> writes:

>     Jim> What I'd like to see is

>     Jim> 1) "child" windows such as file dialogs and popups (sometimes called
>     Jim>    "application modal" windows) "always on top", of
>     Jim>    their parent but not necessarily of any other app's windows.

>     Jim> 2) Limit the placement of said popups to screen space occupied by
>     Jim>    their parent window, or at least put the upper left corner inside
>     Jim>    the parent.

>     Jim> 3) A "dynamic focus for popups" option, where popup windows always got
>     Jim>    the focus regardless of the focus policy, but only when they first
>     Jim>    appear. 

>     Jim> 4) Don't warp the mouse, that's evil. Not even microsoft does it. ;)

> One More?

> 5) When the "child" window closes, focus is given back to the previous
>    window that had the focus.  Which is not necessarily the parent.

and there's another one:

6) each screen should remember which window currently has the focus,
so that when you jump from one screen to another (via the keyboard
mappings for example), the window which previously had the focus, gets
it again.

ie:

+------+------+
|[F][X]|      |	ie: each screen has a "window with focus", but only
|      |  [F] | the window in the current screen actually gets the
+------+------+ keyboard input. and the "window with focus" should not
		change just because the active screen has changed.

Cheers,

Steve
_______________________________ ._ o  ________________________________
//   Stephen Riehm             /  //\.        [email-masked]
\\\\ pc-plus                  '  \>> |         Phone: +49 89 45566 148
//// 81675 Munich, Germany        \\ `           Fax: +49 89 45566 113
  \\
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].